Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Collector

    java.lang.Object
      org.apache.jasper.compiler.Collector

public class Collector
extends java.lang.Object

Collect info about the page and nodes, and make them availabe through the PageInfo object.

Author:
  Kin-man Chung

Constructor Summary
`Collector()`

Method Summary
`static void` | `collect(Compiler compiler, Node.Nodes page)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Collector

    public Collector()

Method Detail

### collect

    public static void collect(Compiler compiler,
                               Node.Nodes page)
                        throws JasperException

  Throws:
    `JasperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.